## kdevelop-php-docs 1.0.1

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(da)
add_subdirectory(pt)
add_subdirectory(nds)
add_subdirectory(en_GB)
add_subdirectory(ca)
add_subdirectory(pt_BR)
add_subdirectory(it)
add_subdirectory(ca@valencia)
add_subdirectory(et)
add_subdirectory(nl)
add_subdirectory(es)
add_subdirectory(fr)
add_subdirectory(sv)
add_subdirectory(uk)
add_subdirectory(zh_TW)
add_subdirectory(gl)

## kdevelop-php-docs 1.0.0

=== debian/changelog ===
kdevelop-php-docs (1.0.0-0ubuntu1) lucid-backports; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 30 Apr 2010 13:59:25 +0100

kdevelop-php-docs (1.0.0~rc2-1) experimental; urgency=low

  * Initial release. (Closes: #578228)

 -- Fathi Boudra <fabo@debian.org>  Sat, 17 Apr 2010 19:45:53 +0300

=== debian/control ===
Source: kdevelop-php-docs
Section: devel
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.4.15), cmake (>= 2.8.0), pkg-kde-tools (>= 0.6.4),
 kdevplatform-dev (>= 1.0.0)
Standards-Version: 3.8.4
Homepage: http://www.kdevelop.org/
Vcs-Svn: svn://svn.debian.org/pkg-kde/trunk/packages/kdevelop-php-docs
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/trunk/packages/kdevelop-php-docs/#_trunk_packages_kdevelop-php-docs_

Package: kdevelop-php-docs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdevelop (>= 4:3.10.2)
Description: PHP documentation plugin for KDevelop
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 This package contains the PHP documentation plugin.

## kdevelop-php-docs 1.0.1

=== debian/changelog ===
kdevelop-php-docs (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * Add localization packages.

 -- Fathi Boudra <fabo@debian.org>  Sat, 24 Jul 2010 00:36:27 +0300

kdevelop-php-docs (1.0.0-1) unstable; urgency=low

  * New upstream release - upload to unstable.

 -- Fathi Boudra <fabo@debian.org>  Tue, 18 May 2010 12:30:55 +0300

=== debian/control ===
Source: kdevelop-php-docs
Section: devel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.4.15), cmake (>= 2.8.0), pkg-kde-tools (>= 0.6.4),
 kdevplatform-dev (>= 1.0.1)
Standards-Version: 3.9.0
Homepage: http://www.kdevelop.org/
Vcs-Svn: svn://svn.debian.org/pkg-kde/trunk/packages/kdevelop-php-docs
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/trunk/packages/kdevelop-php-docs/#_trunk_packages_kdevelop-php-docs_

Package: kdevelop-php-docs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdevelop (>= 4:4.0.1)
Suggests: kdevelop-php-docs-l10n
Description: PHP documentation plugin for KDevelop
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 This package contains the PHP documentation plugin.

Package: kdevelop-php-docs-l10n-ca
Section: localization
Architecture: all
Recommends: kdevplatform-l10n-ca, kdevelop-l10n-ca
Provides: kdevelop-php-docs-l10n
Description: Catalan (ca) localization for KDevelop PHP documentation plugin
 This package contains the Catalan translations for KDevelop PHP documentation
 plugin.
 .
 This package is part of the PHP documentation plugin for KDevelop.

Package: kdevelop-php-docs-l10n-cavalencia
Section: localization
Architecture: all
Recommends: kdevplatform-l10n-cavalencia, kdevelop-l10n-cavalencia
Provides: kdevelop-php-docs-l10n
Description: Southern Catalan (Valencian) (ca@valencia) files for PHP documentation plugin
 This package contains the Southern Catalan (Valencian) translations for
 KDevelop PHP documentation plugin.
 .
 This package is part of the PHP documentation plugin for KDevelop.

Package: kdevelop-php-docs-l10n-da
Section: localization
Architecture: all
Recommends: kdevplatform-l10n-da, kdevelop-l10n-da
Provides: kdevelop-php-docs-l10n
Description: Danish (da) localization for KDevelop PHP documentation plugin
 This package contains the Danish translations for KDevelop PHP documentation
 plugin.
 .
 This package is part of the PHP documentation plugin for KDevelop.

Package: kdevelop-php-docs-l10n-engb
Section: localization
Architecture: all
Recommends: kdevplatform-l10n-engb, kdevelop-l10n-engb
Provides: kdevelop-php-docs-l10n
Description: British English (en_GB) localization for KDevelop PHP documentation plugin
 This package contains the British English translations for KDevelop PHP
 documentation plugin.
 .
 This package is part of the PHP documentation plugin for KDevelop.

Package: kdevelop-php-docs-l10n-es
Section: localization
Architecture: all
Recommends: kdevplatform-l10n-es, kdevelop-l10n-es
Provides: kdevelop-php-docs-l10n
Description: Spanish (es) localization for KDevelop PHP documentation plugin
 This package contains the Spanish translations for KDevelop PHP documentation
 plugin.
 .
 This package is part of the PHP documentation plugin for KDevelop.

Package: kdevelop-php-docs-l10n-et
Section: localization
Architecture: all
Recommends: kdevplatform-l10n-et, kdevelop-l10n-et
Provides: kdevelop-php-docs-l10n
Description: Estonian (et) localization for KDevelop PHP documentation plugin
 This package contains the Estonian translations for KDevelop PHP documentation
 plugin.
 .
 This package is part of the PHP documentation plugin for KDevelop.

Package: kdevelop-php-docs-l10n-fr
Section: localization
Architecture: all
Recommends: kdevplatform-l10n-fr, kdevelop-l10n-fr
Provides: kdevelop-php-docs-l10n
Description: French (fr) localization for KDevelop PHP documentation plugin
 This package contains the French translations for KDevelop PHP documentation
 plugin.
 .
 This package is part of the PHP documentation plugin for KDevelop.

Package: kdevelop-php-docs-l10n-gl
Section: localization
Architecture: all
Recommends: kdevplatform-l10n-gl, kdevelop-l10n-gl
Provides: kdevelop-php-docs-l10n
Description: Galician (gl) localization for KDevelop PHP documentation plugin
 This package contains the Galician translations for KDevelop PHP documentation
 plugin.
 .
 This package is part of the PHP documentation plugin for KDevelop.

Package: kdevelop-php-docs-l10n-it
Section: localization
Architecture: all
Recommends: kdevplatform-l10n-it, kdevelop-l10n-it
Provides: kdevelop-php-docs-l10n
Description: Italian (it) localization for KDevelop PHP documentation plugin
 This package contains the Italian translations for KDevelop PHP documentation
 plugin.
 .
 This package is part of the PHP documentation plugin for KDevelop.

Package: kdevelop-php-docs-l10n-nds
Section: localization
Architecture: all
Recommends: kdevplatform-l10n-nds, kdevelop-l10n-nds
Provides: kdevelop-php-docs-l10n
Description: Low Saxon (nds) localization for KDevelop PHP documentation plugin
 This package contains the Low Saxon translations for KDevelop PHP
 documentation plugin.
 .
 This package is part of the PHP documentation plugin for KDevelop.

Package: kdevelop-php-docs-l10n-nl
Section: localization
Architecture: all
Recommends: kdevplatform-l10n-nl, kdevelop-l10n-nl
Provides: kdevelop-php-docs-l10n
Description: Dutch (nl) localization for KDevelop PHP documentation plugin
 This package contains the Dutch translations for KDevelop PHP documentation
 plugin.
 .
 This package is part of the PHP documentation plugin for KDevelop.

Package: kdevelop-php-docs-l10n-pt
Section: localization
Architecture: all
Recommends: kdevplatform-l10n-pt, kdevelop-l10n-pt
Provides: kdevelop-php-docs-l10n
Description: Portugese (pt) localization for KDevelop PHP documentation plugin
 This package contains the Portugese translations for KDevelop PHP documentation
 plugin.
 .
 This package is part of the PHP documentation plugin for KDevelop.

Package: kdevelop-php-docs-l10n-ptbr
Section: localization
Architecture: all
Recommends: kdevplatform-l10n-ptbr, kdevelop-l10n-ptbr
Provides: kdevelop-php-docs-l10n
Description: Brazilian Portugese (pt_BR) localization for KDevelop PHP documentation plugin
 This package contains the Brazilian Portugese translations for KDevelop PHP
 documentation plugin.
 .
 This package is part of the PHP documentation plugin for KDevelop.

Package: kdevelop-php-docs-l10n-sv
Section: localization
Architecture: all
Recommends: kdevplatform-l10n-sv, kdevelop-l10n-sv
Provides: kdevelop-php-docs-l10n
Description: Swedish (sv) localization for KDevelop PHP documentation plugin
 This package contains the Swedish translations for KDevelop PHP documentation
 plugin.
 .
 This package is part of the PHP documentation plugin for KDevelop.

Package: kdevelop-php-docs-l10n-uk
Section: localization
Architecture: all
Recommends: kdevplatform-l10n-uk, kdevelop-l10n-uk
Provides: kdevelop-php-docs-l10n
Description: Ukrainian (uk) localization for KDevelop PHP documentation plugin
 This package contains the Ukrainian translations for KDevelop PHP documentation
 plugin.
 .
 This package is part of the PHP documentation plugin for KDevelop.

Package: kdevelop-php-docs-l10n-zhtw
Section: localization
Architecture: all
Recommends: kdevplatform-l10n-zhtw, kdevelop-l10n-zhtw
Provides: kdevelop-php-docs-l10n
Description: Chinese Traditional (zh_TW) localization for KDevelop PHP documentation plugin
 This package contains the Chinese Traditional translations for KDevelop PHP
 documentation plugin.
 .
 This package is part of the PHP documentation plugin for KDevelop.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel --list-missing --with kde

.PHONY: override_dh_auto_test

## kdevelop-php-docs 1.2.2

=== debian/changelog ===
kdevelop-php-docs (1.2.2-1) unstable; urgency=low

  * New upstream release.
  * Bump kdevplatform-dev build dependency version.
  * Add libqtwebkit-dev build dependency.
  * Switch Vcs-* fields to the new repository at git.debian.org.
  * Merge localization packages into kdevelop-php-docs-l10n.
  * Add Breaks to previous localization packages.
  * Add Replaces to previous localization packages.

 -- Fathi Boudra <fabo@debian.org>  Sat, 04 Jun 2011 14:15:56 +0300

=== debian/control ===
Source: kdevelop-php-docs
Section: devel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.4.15), cmake (>= 2.8.0), pkg-kde-tools (>= 0.6.4),
 kdevplatform-dev (>= 1.2.0), libqtwebkit-dev
Standards-Version: 3.9.2
Homepage: http://www.kdevelop.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/kdevelop-php-docs.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-std/kdevelop-php-docs.git

Package: kdevelop-php-docs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdevelop (>= 4:4.0.1)
Suggests: kdevelop-php-docs-l10n
Description: PHP documentation plugin for KDevelop
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 This package contains the PHP documentation plugin.

Package: kdevelop-php-docs-l10n
Section: localization
Architecture: all
Breaks: kdevelop-php-docs-l10n-ca, kdevelop-php-docs-l10n-cavalencia,
 kdevelop-php-docs-l10n-da, kdevelop-php-docs-l10n-engb,
 kdevelop-php-docs-l10n-es, kdevelop-php-docs-l10n-et,
 kdevelop-php-docs-l10n-fr, kdevelop-php-docs-l10n-gl,
 kdevelop-php-docs-l10n-it, kdevelop-php-docs-l10n-nds,
 kdevelop-php-docs-l10n-nl, kdevelop-php-docs-l10n-pt,
 kdevelop-php-docs-l10n-ptbr, kdevelop-php-docs-l10n-sv,
 kdevelop-php-docs-l10n-uk, kdevelop-php-docs-l10n-zhtw
Replaces: kdevelop-php-docs-l10n-ca, kdevelop-php-docs-l10n-cavalencia,
 kdevelop-php-docs-l10n-da, kdevelop-php-docs-l10n-engb,
 kdevelop-php-docs-l10n-es, kdevelop-php-docs-l10n-et,
 kdevelop-php-docs-l10n-fr, kdevelop-php-docs-l10n-gl,
 kdevelop-php-docs-l10n-it, kdevelop-php-docs-l10n-nds,
 kdevelop-php-docs-l10n-nl, kdevelop-php-docs-l10n-pt,
 kdevelop-php-docs-l10n-ptbr, kdevelop-php-docs-l10n-sv,
 kdevelop-php-docs-l10n-uk, kdevelop-php-docs-l10n-zhtw
Description: Localization for KDevelop PHP documentation plugin
 This package contains the translations for KDevelop PHP documentation plugin.
 .
 This package is part of the PHP documentation plugin for KDevelop.

## kdevelop-php-docs 1.2.3

=== debian/changelog ===
kdevelop-php-docs (1.2.3-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Bump kdevplatform-dev to 1.2.3
  * Enable tests

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 30 Jul 2011 23:02:46 +0200

kdevelop-php-docs (1.2.2-0ubuntu1) natty; urgency=low

  * New upstream release
    - Build-dep on kdevplatform >= 1.2.2

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 07 Apr 2011 14:49:29 +0200

kdevelop-php-docs (1.2.0-0ubuntu1) natty; urgency=low

  * New upstream release
    - Build-dep on kdevplatform >= 1.2.0

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 25 Jan 2011 23:01:51 +0100

kdevelop-php-docs (1.1.90-0ubuntu1~ppa4) natty; urgency=low

  * New upstream release
    - Build-dep on kdevplatform >= 1.1.90
    - don't suggest removed l10n packages

 -- Philip Muskovac <yofel@gmx.net>  Wed, 12 Jan 2011 16:28:58 +0100

kdevelop-php-docs (1.1.80-0ubuntu1) natty; urgency=low

  * New upstream release
  * Get rid of l10n packages, put locale files into main package

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 20 Dec 2010 15:43:38 +0000

kdevelop-php-docs (1.1.1-0ubuntu1) natty; urgency=low

  * New upstream release
    - Add german locale and disable french (removed upstream)

 -- Philip Muskovac <yofel@gmx.net>  Mon, 29 Nov 2010 21:58:56 +0100

kdevelop-php-docs (1.1.0-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Nov 2010 15:43:02 +0000

kdevelop-php-docs (1.0.90-0ubuntu1) maverick; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 07 Oct 2010 11:05:18 +0100

=== debian/control ===
Source: kdevelop-php-docs
Section: devel
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>
Build-Depends: cmake (>= 2.8.0),
               debhelper (>= 7.4.15),
               kdevplatform-dev (>= 1.2.3),
               libqtwebkit-dev,
               pkg-kde-tools (>= 0.6.4)
Standards-Version: 3.9.0
Homepage: http://www.kdevelop.org/
Vcs-Svn: svn://svn.debian.org/pkg-kde/trunk/packages/kdevelop-php-docs
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/trunk/packages/kdevelop-php-docs/#_trunk_packages_kdevelop-php-docs_

Package: kdevelop-php-docs
Architecture: any
Depends: kdevelop (>= 4:4.2.2), ${misc:Depends}, ${shlibs:Depends}
Description: PHP documentation plugin for KDevelop
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 This package contains the PHP documentation plugin.

## kdevelop-php-docs 1.3.1

=== CMakeLists.txt ===
PROJECT(phpdocs)

set(KDEVPHPDOCS_VERSION_MAJOR 1)
set(KDEVPHPDOCS_VERSION_MINOR 3)
set(KDEVPHPDOCS_VERSION_PATCH 1)

configure_file( "${phpdocs_SOURCE_DIR}/kdevphpdocsversion.h.cmake" "${phpdocs_BINARY_DIR}/kdevphpdocsversion.h" @ONLY )

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${phpdocs_SOURCE_DIR}/cmake/)
enable_testing()

find_package(KDE4 REQUIRED)
find_package(KDevPlatform 1.3.0 REQUIRED)
include_directories(${KDEVPLATFORM_INCLUDE_DIR})

include_directories(
    ${KDE4_INCLUDES}
    ${KDE4_INCLUDE_DIR}/threadweaver
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
)

add_definitions( -DKDE_DEFAULT_DEBUG_AREA=9043 )

########## shared settings ##########
set(kdevphpdocs_settings_SRCS
)

kde4_add_kcfg_files(kdevphpdocs_settings_SRCS phpdocssettings.kcfgc)

install(FILES phpdocssettings.kcfg DESTINATION ${KCFG_INSTALL_DIR})

########## Documentation Plugin #####

set(kdevphpdocs_SRCS
    phpdocumentationwidget.cpp
    phpdocumentation.cpp
    phpdocsplugin.cpp
    phpdocsmodel.cpp
    ${kdevphpdocs_settings_SRCS}
)

kde4_add_plugin(kdevphpdocs ${kdevphpdocs_SRCS})

target_link_libraries(kdevphpdocs
    ${KDE4_KDEUI_LIBS} ${KDE4_KTEXTEDITOR_LIBS} ${QT_QTWEBKIT_LIBRARY} ${KDE4_KUTILS_LIBS}
    ${KDEVPLATFORM_INTERFACES_LIBRARIES} ${KDEVPLATFORM_LANGUAGE_LIBRARIES} ${KDEVPLATFORM_DOCUMENTATION_LIBRARIES}
)

install(TARGETS kdevphpdocs DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES kdevphpdocs.desktop DESTINATION ${SERVICES_INSTALL_DIR})


### Configuration module for PHP documentation plugin

set(kdevphpdocs_config_SRCS
    phpdocsconfig.cpp
    ${kdevphpdocs_settings_SRCS}
)

set(kdevphpdocs_config_UI
    phpdocsconfig.ui
)

kde4_add_ui_files(kdevphpdocs_config_SRCS ${kdevphpdocs_config_UI})

kde4_add_plugin( kdevphpdocs_config ${kdevphpdocs_config_SRCS} )

target_link_libraries( kdevphpdocs_config ${KDE4_KUTILS_LIBS} ${KDE4_KIO_LIBS} )

install( TARGETS kdevphpdocs_config DESTINATION ${PLUGIN_INSTALL_DIR} )
install( FILES kdevphpdocs_config.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

=== debian/changelog ===
kdevelop-php-docs (1.3.1-0ubuntu1) precise-proposed; urgency=low

  * New upstream bugfix release
  * Add watch file

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 15 Apr 2012 22:24:46 +0200

kdevelop-php-docs (1.3.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 22 Mar 2012 13:08:38 +0000

kdevelop-php-docs (1.2.90-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 10 Mar 2012 21:17:19 +0100

kdevelop-php-docs (1.2.81-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 20 Jan 2012 00:49:28 +0530

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Fathi Boudra <fabo@debian.org>
 Build-Depends: cmake (>= 2.8.0),
                debhelper (>= 7.4.15),
-               kdevplatform-dev (>= 1.2.3),
+               kdevplatform-dev (>= 1.3.1),
                libqtwebkit-dev,
                pkg-kde-tools (>= 0.6.4)
 Standards-Version: 3.9.0

=== debian/rules ===
--- 
+++ 
@@ -5,5 +5,3 @@
 
 %:
 	dh $@ --parallel --list-missing --with kde
-
-.PHONY: override_dh_auto_test

## kdevelop-php-docs 1.3.90

=== debian/changelog ===
kdevelop-php-docs (1.3.90-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 10 Sep 2012 12:05:33 +0100

kdevelop-php-docs (1.3.80-0ubuntu2) quantal; urgency=low

  * Build-dep on kdevplatform-dev (>= 1.3.80)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 16 Aug 2012 14:27:42 +0100

kdevelop-php-docs (1.3.80-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 16 Aug 2012 12:13:26 +0100

kdevelop-php-docs (1.3.1-2ubuntu1) quantal; urgency=low

  * Merge with Debian, remaining changes:
    - Keep watch file
    - kdevelop-php-docs-l10n replaces/breaks kdevelop-php-docs below this
      version (1.3.1-2ubuntu1) for file moves. Can be dropped next LTS. :(

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 03 Jun 2012 19:43:19 -0400

kdevelop-php-docs (1.3.1-2) unstable; urgency=low

  * Team upload. Upload to unstable.
  * Link with as-needed.
  * Add Andreas Cord-Landwehr to the Uploaders.
  * Small touch to the description of kdevelop-php-docs-l10n.

 -- Pino Toscano <pino@debian.org>  Sun, 20 May 2012 12:54:10 +0200

kdevelop-php-docs (1.3.1-1) experimental; urgency=low

  * Team upload.
  * New upstream release.

  [ Andreas Cord-Landwehr ]
  * Update debian/copyright file.
  * Bump Standards-Version to 3.9.3: no changes needed.
  * Bump kdevplatform-dev build dependency version.

  [ Pino Toscano ]
  * Add ${misc:Depends} to kdevelop-php-docs-l10n.
  * Make kdevelop-php-docs enhance kdevelop.
  * Switch to debhelper compat v9:
    - bump compat to 9
    - bump debhelper build dependency to 9
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Fri, 18 May 2012 23:15:40 +0200

=== debian/control ===
Source: kdevelop-php-docs
Section: devel
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
 Andreas Cord-Landwehr <cola@uni-paderborn.de>
Build-Depends: debhelper (>= 9), cmake (>= 2.8.0), pkg-kde-tools (>= 0.6.4),
 kdevplatform-dev (>= 1.3.80), libqtwebkit-dev
Standards-Version: 3.9.3
Homepage: http://www.kdevelop.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/kdevelop-php-docs.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-std/kdevelop-php-docs.git

Package: kdevelop-php-docs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdevelop (>= 4:4.0.1)
Suggests: kdevelop-php-docs-l10n
Enhances: kdevelop
Description: PHP documentation plugin for KDevelop
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 This package contains the PHP documentation plugin.

Package: kdevelop-php-docs-l10n
Section: localization
Architecture: all
Depends: ${misc:Depends}
Breaks: kdevelop-php-docs-l10n-ca, kdevelop-php-docs-l10n-cavalencia,
 kdevelop-php-docs-l10n-da, kdevelop-php-docs-l10n-engb,
 kdevelop-php-docs-l10n-es, kdevelop-php-docs-l10n-et,
 kdevelop-php-docs-l10n-fr, kdevelop-php-docs-l10n-gl,
 kdevelop-php-docs-l10n-it, kdevelop-php-docs-l10n-nds,
 kdevelop-php-docs-l10n-nl, kdevelop-php-docs-l10n-pt,
 kdevelop-php-docs-l10n-ptbr, kdevelop-php-docs-l10n-sv,
 kdevelop-php-docs-l10n-uk, kdevelop-php-docs-l10n-zhtw,
 kdevelop-php-docs (<< 1.3.1-2ubuntu1)
Replaces: kdevelop-php-docs-l10n-ca, kdevelop-php-docs-l10n-cavalencia,
 kdevelop-php-docs-l10n-da, kdevelop-php-docs-l10n-engb,
 kdevelop-php-docs-l10n-es, kdevelop-php-docs-l10n-et,
 kdevelop-php-docs-l10n-fr, kdevelop-php-docs-l10n-gl,
 kdevelop-php-docs-l10n-it, kdevelop-php-docs-l10n-nds,
 kdevelop-php-docs-l10n-nl, kdevelop-php-docs-l10n-pt,
 kdevelop-php-docs-l10n-ptbr, kdevelop-php-docs-l10n-sv,
 kdevelop-php-docs-l10n-uk, kdevelop-php-docs-l10n-zhtw,
 kdevelop-php-docs (<< 1.3.1-2ubuntu1)
Description: localization files for KDevelop PHP documentation plugin
 This package contains the translations for KDevelop PHP documentation plugin.
 .
 This package is part of the PHP documentation plugin for KDevelop.

## kdevelop-php-docs 1.4.1

=== debian/changelog ===
kdevelop-php-docs (1.4.1-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release (LP: #1067611)

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 13 Nov 2012 22:00:12 +0000

kdevelop-php-docs (1.4.1-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 04 Nov 2012 23:03:35 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Fathi Boudra <fabo@debian.org>,
  Andreas Cord-Landwehr <cola@uni-paderborn.de>
 Build-Depends: debhelper (>= 9), cmake (>= 2.8.0), pkg-kde-tools (>= 0.6.4),
- kdevplatform-dev (>= 1.3.80), libqtwebkit-dev
+ kdevplatform-dev (>= 1.4.1), libqtwebkit-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kdevelop.org/
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/kdevelop-php-docs.git

=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/stable/kdevelop/([\d.]+)/src/kdevelop-php-docs-([\d.]+).tar.bz2

## kdevelop-php-docs 1.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 PROJECT(phpdocs)
 
 set(KDEVPHPDOCS_VERSION_MAJOR 1)
-set(KDEVPHPDOCS_VERSION_MINOR 3)
+set(KDEVPHPDOCS_VERSION_MINOR 5)
 set(KDEVPHPDOCS_VERSION_PATCH 1)
 
 configure_file( "${phpdocs_SOURCE_DIR}/kdevphpdocsversion.h.cmake" "${phpdocs_BINARY_DIR}/kdevphpdocsversion.h" @ONLY )
@@ -10,7 +10,7 @@
 enable_testing()
 
 find_package(KDE4 REQUIRED)
-find_package(KDevPlatform 1.3.0 REQUIRED)
+find_package(KDevPlatform 1.4.60 REQUIRED)
 include_directories(${KDEVPLATFORM_INCLUDE_DIR})
 
 include_directories(
@@ -71,5 +71,11 @@
 install( TARGETS kdevphpdocs_config DESTINATION ${PLUGIN_INSTALL_DIR} )
 install( FILES kdevphpdocs_config.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
 
+include(CTest)
+
+# CTestCustom.cmake has to be in the CTEST_BINARY_DIR.
+# in the KDE build system, this is the same as CMAKE_BINARY_DIR.
+configure_file(${CMAKE_SOURCE_DIR}/CTestCustom.cmake ${CMAKE_BINARY_DIR}/CTestCustom.cmake)
+
 include(MacroOptionalAddSubdirectory)
 macro_optional_add_subdirectory( po )

=== debian/changelog ===
kdevelop-php-docs (1.5.1-1) unstable; urgency=low

  * Team upload.

  [ Andreas Cord-Landwehr ]
  * New upstream release.
  * Bump kdevplatform-dev build dependency version.
  * Bump Standards-Version to 3.9.4: no changes needed.

  [ Pino Toscano ]
  * Add watch file.
  * Fix Vcs-* headers.

 -- Pino Toscano <pino@debian.org>  Fri, 06 Sep 2013 22:18:43 +0200

=== debian/control ===
Source: kdevelop-php-docs
Section: devel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Andreas Cord-Landwehr <cola@uni-paderborn.de>
Build-Depends: cmake (>= 2.8.0),
               debhelper (>= 9),
               kdevplatform-dev (>= 1.5.1),
               libqtwebkit-dev,
               pkg-kde-tools (>= 0.6.4)
Standards-Version: 3.9.4
Homepage: http://www.kdevelop.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-std/kdevelop-php-docs.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-std/kdevelop-php-docs.git

Package: kdevelop-php-docs
Architecture: any
Depends: kdevelop (>= 4:4.0.1), ${misc:Depends}, ${shlibs:Depends}
Suggests: kdevelop-php-docs-l10n
Enhances: kdevelop
Description: PHP documentation plugin for KDevelop
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 This package contains the PHP documentation plugin.

Package: kdevelop-php-docs-l10n
Section: localization
Architecture: all
Depends: ${misc:Depends}
Breaks: kdevelop-php-docs-l10n-ca,
        kdevelop-php-docs-l10n-cavalencia,
        kdevelop-php-docs-l10n-da,
        kdevelop-php-docs-l10n-engb,
        kdevelop-php-docs-l10n-es,
        kdevelop-php-docs-l10n-et,
        kdevelop-php-docs-l10n-fr,
        kdevelop-php-docs-l10n-gl,
        kdevelop-php-docs-l10n-it,
        kdevelop-php-docs-l10n-nds,
        kdevelop-php-docs-l10n-nl,
        kdevelop-php-docs-l10n-pt,
        kdevelop-php-docs-l10n-ptbr,
        kdevelop-php-docs-l10n-sv,
        kdevelop-php-docs-l10n-uk,
        kdevelop-php-docs-l10n-zhtw
Replaces: kdevelop-php-docs-l10n-ca,
          kdevelop-php-docs-l10n-cavalencia,
          kdevelop-php-docs-l10n-da,
          kdevelop-php-docs-l10n-engb,
          kdevelop-php-docs-l10n-es,
          kdevelop-php-docs-l10n-et,
          kdevelop-php-docs-l10n-fr,
          kdevelop-php-docs-l10n-gl,
          kdevelop-php-docs-l10n-it,
          kdevelop-php-docs-l10n-nds,
          kdevelop-php-docs-l10n-nl,
          kdevelop-php-docs-l10n-pt,
          kdevelop-php-docs-l10n-ptbr,
          kdevelop-php-docs-l10n-sv,
          kdevelop-php-docs-l10n-uk,
          kdevelop-php-docs-l10n-zhtw
Description: localization files for KDevelop PHP documentation plugin
 This package contains the translations for KDevelop PHP documentation plugin.
 .
 This package is part of the PHP documentation plugin for KDevelop.

## kdevelop-php-docs 1.5.2

=== debian/changelog ===
kdevelop-php-docs (1.5.2-1~tanglu10u1) aequorea-updates; urgency=medium

  * Build for aequorea.

 -- Jon Severinsson <jon@severinsson.net>  Wed, 16 Apr 2014 12:00:00 +0200

kdevelop-php-docs (1.5.2-1) unstable; urgency=low

  * Team upload.
  * New upstream release.

  [ Andreas Cord-Landwehr ]
  * Bump kdevplatform-dev build dependency version.
  * Bump Standards-Version to 3.9.5: no changes needed.
  * Update debian/watch file to track xz compress tarballs.

 -- Pino Toscano <pino@debian.org>  Sat, 18 Jan 2014 10:46:16 +0100

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
            Andreas Cord-Landwehr <cola@uni-paderborn.de>
 Build-Depends: cmake (>= 2.8.0),
                debhelper (>= 9),
-               kdevplatform-dev (>= 1.5.1),
+               kdevplatform-dev (>= 1.5.2),
                libqtwebkit-dev,
                pkg-kde-tools (>= 0.6.4)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.kdevelop.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-std/kdevelop-php-docs.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-std/kdevelop-php-docs.git

## kdevelop-php-docs 1.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,10 @@
 PROJECT(phpdocs)
 
+cmake_minimum_required(VERSION 2.8)
+
 set(KDEVPHPDOCS_VERSION_MAJOR 1)
-set(KDEVPHPDOCS_VERSION_MINOR 5)
-set(KDEVPHPDOCS_VERSION_PATCH 1)
+set(KDEVPHPDOCS_VERSION_MINOR 6)
+set(KDEVPHPDOCS_VERSION_PATCH 0)
 
 configure_file( "${phpdocs_SOURCE_DIR}/kdevphpdocsversion.h.cmake" "${phpdocs_BINARY_DIR}/kdevphpdocsversion.h" @ONLY )
 
@@ -10,7 +12,7 @@
 enable_testing()
 
 find_package(KDE4 REQUIRED)
-find_package(KDevPlatform 1.4.60 REQUIRED)
+find_package(KDevPlatform 1.6.0 REQUIRED)
 include_directories(${KDEVPLATFORM_INCLUDE_DIR})
 
 include_directories(
@@ -48,7 +50,8 @@
 )
 
 install(TARGETS kdevphpdocs DESTINATION ${PLUGIN_INSTALL_DIR})
-install(FILES kdevphpdocs.desktop DESTINATION ${SERVICES_INSTALL_DIR})
+configure_file(kdevphpdocs.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdevphpdocs.desktop)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kdevphpdocs.desktop DESTINATION ${SERVICES_INSTALL_DIR})
 
 
 ### Configuration module for PHP documentation plugin

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(nds)
add_subdirectory(tr)
add_subdirectory(zh_CN)
add_subdirectory(pl)
add_subdirectory(pt_BR)
add_subdirectory(bs)
add_subdirectory(nl)
add_subdirectory(es)
add_subdirectory(pt)
add_subdirectory(sk)
add_subdirectory(zh_TW)
add_subdirectory(et)
add_subdirectory(it)
add_subdirectory(gl)
add_subdirectory(ru)
add_subdirectory(kk)
add_subdirectory(sl)
add_subdirectory(ca)
add_subdirectory(sv)
add_subdirectory(de)
add_subdirectory(uk)
add_subdirectory(fr)
add_subdirectory(nb)
add_subdirectory(hu)
add_subdirectory(ca@valencia)
add_subdirectory(da)
add_subdirectory(fi)
add_subdirectory(en_GB)
add_subdirectory(el)

=== po/sl/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(sl ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== debian/changelog ===
kdevelop-php-docs (1.6.0-0ubuntu1) trusty; urgency=low

  * New upstream release (LP: #1259220)

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 09 Dec 2013 19:17:12 +0100

kdevelop-php-docs (1.5.2-0ubuntu1) trusty; urgency=low

  * New upstream release
  * Bump dependency on kdevplatform-dev to 1.5.2

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 04 Nov 2013 18:09:35 +0100

kdevelop-php-docs (1.5.1-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian, remaining changes:
    - Keep watch file
    - kdevelop-php-docs-l10n replaces/breaks kdevelop-php-docs below this
      version (1.3.1-2ubuntu1) for file moves.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 11 Jun 2013 10:15:43 +0100

kdevelop-php-docs (1.5.1-0r0) UNRELEASED; urgency=low

  [ Andreas Cord-Landwehr ]
  * New upstream release.
  * Bump kdevplatform-dev build dependency version.
  * Bump Standards-Version to 3.9.4: no changes needed.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 27 Apr 2013 13:57:46 +0200

kdevelop-php-docs (1.5.0-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 08 May 2013 18:15:54 +0000

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: kdevelop-php-docs
 Section: devel
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Andreas Cord-Landwehr <cola@uni-paderborn.de>
 Build-Depends: cmake (>= 2.8.0),
                debhelper (>= 9),
-               kdevplatform-dev (>= 1.5.2),
+               kdevplatform-dev (>= 1.6.0),
                libqtwebkit-dev,
                pkg-kde-tools (>= 0.6.4)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.4
 Homepage: http://www.kdevelop.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-std/kdevelop-php-docs.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-std/kdevelop-php-docs.git
+Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/kdevelop-php-docs.git
+Vcs-Git: git://git.debian.org/pkg-kde/kde-std/kdevelop-php-docs.git
 
 Package: kdevelop-php-docs
 Architecture: any
@@ -45,7 +46,8 @@
         kdevelop-php-docs-l10n-ptbr,
         kdevelop-php-docs-l10n-sv,
         kdevelop-php-docs-l10n-uk,
-        kdevelop-php-docs-l10n-zhtw
+        kdevelop-php-docs-l10n-zhtw,
+        kdevelop-php-docs (<< 1.3.1-2ubuntu1)
 Replaces: kdevelop-php-docs-l10n-ca,
           kdevelop-php-docs-l10n-cavalencia,
           kdevelop-php-docs-l10n-da,
@@ -61,7 +63,8 @@
           kdevelop-php-docs-l10n-ptbr,
           kdevelop-php-docs-l10n-sv,
           kdevelop-php-docs-l10n-uk,
-          kdevelop-php-docs-l10n-zhtw
+          kdevelop-php-docs-l10n-zhtw,
+          kdevelop-php-docs (<< 1.3.1-2ubuntu1)
 Description: localization files for KDevelop PHP documentation plugin
  This package contains the translations for KDevelop PHP documentation plugin.
  .

=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/stable/kdevelop/([\d.]+)/src/kdevelop-php-docs-([\d.]+).tar.xz

## kdevelop-php-docs 1.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,12 @@
 PROJECT(phpdocs)
 
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 2.8.9)
 
 set(KDEVPHPDOCS_VERSION_MAJOR 1)
-set(KDEVPHPDOCS_VERSION_MINOR 6)
+set(KDEVPHPDOCS_VERSION_MINOR 7)
 set(KDEVPHPDOCS_VERSION_PATCH 0)
+# KDevplatform dependency version
+set( KDEVPLATFORM_VERSION "${KDEVPHPDOCS_VERSION_MAJOR}.${KDEVPHPDOCS_VERSION_MINOR}.${KDEVPHPDOCS_VERSION_PATCH}" )
 
 configure_file( "${phpdocs_SOURCE_DIR}/kdevphpdocsversion.h.cmake" "${phpdocs_BINARY_DIR}/kdevphpdocsversion.h" @ONLY )
 
@@ -12,7 +14,7 @@
 enable_testing()
 
 find_package(KDE4 REQUIRED)
-find_package(KDevPlatform 1.6.0 REQUIRED)
+find_package(KDevPlatform ${KDEVPLATFORM_VERSION} REQUIRED)
 include_directories(${KDEVPLATFORM_INCLUDE_DIR})
 
 include_directories(
@@ -23,6 +25,10 @@
 )
 
 add_definitions( -DKDE_DEFAULT_DEBUG_AREA=9043 )
+
+if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID STREQUAL "Clang" OR CMAKE_CXX_COMPILER_ID STREQUAL "Intel")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
+endif()
 
 ########## shared settings ##########
 set(kdevphpdocs_settings_SRCS

=== debian/changelog ===
kdevelop-php-docs (1.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

  [ Andreas Cord-Landwehr ]
  * Bump kdevplatform-dev build dependency to 1.7.0.
  * Bump kdevelop runtime dependency to 4.7.0.

  [ Pino Toscano ]
  * Prepared for upstream release 1.6.0.

 -- Pino Toscano <pino@debian.org>  Tue, 23 Sep 2014 23:20:10 +0200

## kdevelop-php-docs 1.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 set(KDEVPHPDOCS_VERSION_MAJOR 1)
 set(KDEVPHPDOCS_VERSION_MINOR 7)
-set(KDEVPHPDOCS_VERSION_PATCH 0)
+set(KDEVPHPDOCS_VERSION_PATCH 1)
 # KDevplatform dependency version
 set( KDEVPLATFORM_VERSION "${KDEVPHPDOCS_VERSION_MAJOR}.${KDEVPHPDOCS_VERSION_MINOR}.${KDEVPHPDOCS_VERSION_PATCH}" )

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(fi)
add_subdirectory(gl)
add_subdirectory(en_GB)
add_subdirectory(es)
add_subdirectory(et)
add_subdirectory(bs)
add_subdirectory(pt)
add_subdirectory(it)
add_subdirectory(pt_BR)
add_subdirectory(zh_TW)
add_subdirectory(ca)
add_subdirectory(hu)
add_subdirectory(nds)
add_subdirectory(nb)
add_subdirectory(de)
add_subdirectory(ca@valencia)
add_subdirectory(pl)
add_subdirectory(sk)
add_subdirectory(uk)
add_subdirectory(kk)
add_subdirectory(sl)
add_subdirectory(zh_CN)
add_subdirectory(tr)
add_subdirectory(da)
add_subdirectory(sv)
add_subdirectory(el)
add_subdirectory(nl)
add_subdirectory(ru)
add_subdirectory(fr)

=== po/sk/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(sk ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== debian/changelog ===
kdevelop-php-docs (1.7.1-0ubuntu1) vivid; urgency=medium

  * Release to Archive 

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Mar 2015 19:06:25 -0700

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: kdevelop-php-docs
 Section: devel
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Andreas Cord-Landwehr <cola@uni-paderborn.de>
 Build-Depends: cmake (>= 2.8.0),
                debhelper (>= 9),
-               kdevplatform-dev (>= 1.6.0),
+               kdevplatform-dev (>= 1.7.0),
                libqtwebkit-dev,
                pkg-kde-tools (>= 0.6.4)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.kdevelop.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/kdevelop-php-docs.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-std/kdevelop-php-docs.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-std/kdevelop-php-docs.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-std/kdevelop-php-docs.git
 
 Package: kdevelop-php-docs
 Architecture: any
-Depends: kdevelop (>= 4:4.0.1), ${misc:Depends}, ${shlibs:Depends}
+Depends: kdevelop (>= 4:4.7.0), ${misc:Depends}, ${shlibs:Depends}
 Suggests: kdevelop-php-docs-l10n
 Enhances: kdevelop
 Description: PHP documentation plugin for KDevelop
@@ -46,8 +45,7 @@
         kdevelop-php-docs-l10n-ptbr,
         kdevelop-php-docs-l10n-sv,
         kdevelop-php-docs-l10n-uk,
-        kdevelop-php-docs-l10n-zhtw,
-        kdevelop-php-docs (<< 1.3.1-2ubuntu1)
+        kdevelop-php-docs-l10n-zhtw
 Replaces: kdevelop-php-docs-l10n-ca,
           kdevelop-php-docs-l10n-cavalencia,
           kdevelop-php-docs-l10n-da,
@@ -63,8 +61,7 @@
           kdevelop-php-docs-l10n-ptbr,
           kdevelop-php-docs-l10n-sv,
           kdevelop-php-docs-l10n-uk,
-          kdevelop-php-docs-l10n-zhtw,
-          kdevelop-php-docs (<< 1.3.1-2ubuntu1)
+          kdevelop-php-docs-l10n-zhtw
 Description: localization files for KDevelop PHP documentation plugin
  This package contains the translations for KDevelop PHP documentation plugin.
  .

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --list-missing --with kde

.PHONY: override_dh_auto_test

=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/stable/kdevelop/([\d.]+)/src/kdevelop-php-docs-([\d.]+).tar.(?:bz2|xz)
